summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-10-19 07:54:00 +0200
committerHans de Graaff <graaff@gentoo.org>2017-10-19 07:54:00 +0200
commitd97991ba04375492065ccf3864969e89c1d706d1 (patch)
treecac232f963311389b64a2dff0602ce7f1922cce8 /dev-ruby/pry
parentdev-util/source-highlight: arm stable, bug #632090 (diff)
downloadgentoo-d97991ba04375492065ccf3864969e89c1d706d1.tar.gz
gentoo-d97991ba04375492065ccf3864969e89c1d706d1.tar.bz2
gentoo-d97991ba04375492065ccf3864969e89c1d706d1.zip
dev-ruby/pry: add 0.11.2
Package-Manager: Portage-2.3.8, Repoman-2.3.3
Diffstat (limited to 'dev-ruby/pry')
-rw-r--r--dev-ruby/pry/Manifest1
-rw-r--r--dev-ruby/pry/pry-0.11.2.ebuild45
2 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/pry/Manifest b/dev-ruby/pry/Manifest
index 4fa1065948d..e2a253eb324 100644
--- a/dev-ruby/pry/Manifest
+++ b/dev-ruby/pry/Manifest
@@ -1,3 +1,4 @@
DIST pry-0.10.4.tar.gz 204296 SHA256 8c4afb4e2c3fea9ed8b9f17323b5a670db08f9995f2031fe52b3c0c4b41dcd67 SHA512 0c455945125b210efce7dcde3d7bfbec5d03687847910084c0befd466191ac34446c62a884c6424cd6760d573d1de490de4dacd97b31c87553e32787d99a3687 WHIRLPOOL b402150a090fa9370753e6c9e7cde718e05cfa78b25b4d713c3667aadd466f4238d0a2c86aec36c8619cd0344aaa84d000b729dc25a3dff2268238f01a429c8c
DIST pry-0.11.0.tar.gz 223501 SHA256 fd1d79ac50dbadfbfbc4721510922bd6cb830b4ead70f3abb29b7979cc31db77 SHA512 1f252e6707f57d24ff7aca9c1437f1c5f38d3a203f3439bfd84f28fe4bb9f8063d3d16e2920b30a825554f01c4fb3f24f6221693de19f675cba4fc3df9b56254 WHIRLPOOL eff34eb9eef108333374b54cd7bb5a788bca06bc55f2c540f823720b728134435dc9c38056912e00dcc3327dfeb8b6556ad3c99b7ca081d7585b4a277488a76f
DIST pry-0.11.1.tar.gz 223494 SHA256 98cf974540db143ad4e30a71eddd211874e1b080d95eda984073a316cafb06ce SHA512 b662f870ef2759430ca22decdc1f5bd8e88ae8539b83e4b0e3420030d63459b37b2ce7dea1d2f654cb911e94597709e0d0bce55bc29cc0de9c115f2b7c305b2a WHIRLPOOL 98c147f12461e844fdc589904fe5113f736ace95a321b846bd2982b271b5decdb2d32cf9b37cc35234f1abf3721d529de38bd241c9e88b2a46dc57e537b1af96
+DIST pry-0.11.2.tar.gz 223514 SHA256 9db18a35678facc73f6d2c6e2bad33086ba3302fdc900a4ba9fa0ba8561476c2 SHA512 c2b6ba9922c4bf556dec0d6eb2ecfe63994286578160a40e365061d473b3eb19971d76f5fe54035f7e8d489acfb3f0637b9f2fbe03fb1134629bd11b35e99bfa WHIRLPOOL 7c31c0de06425e0bc335fdf9310a832cb91eca14950e91d2cef5a0923c95e7b48eeca54f1ea868f17bdbb5bdfa1064d883228ba522d7983c59c544427546e643
diff --git a/dev-ruby/pry/pry-0.11.2.ebuild b/dev-ruby/pry/pry-0.11.2.ebuild
new file mode 100644
index 00000000000..f085f07e6e7
--- /dev/null
+++ b/dev-ruby/pry/pry-0.11.2.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+RUBY_FAKEGEM_EXTRADOC="README.md CHANGELOG.md"
+RUBY_FAKEGEM_GEMSPEC=${PN}.gemspec
+
+inherit ruby-fakegem
+
+DESCRIPTION="Pry is a powerful alternative to the standard IRB shell for Ruby"
+HOMEPAGE="https://github.com/pry/pry/wiki"
+SRC_URI="https://github.com/pry/pry/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+IUSE=""
+SLOT="ruby19"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+
+ruby_add_rdepend "
+ >=dev-ruby/coderay-1.1.0 =dev-ruby/coderay-1.1*
+ >=dev-ruby/method_source-0.9.0 =dev-ruby/method_source-0.9*"
+
+ruby_add_bdepend "
+ test? (
+ >=dev-ruby/open4-1.3
+ >=dev-ruby/rake-0.9
+ >=dev-ruby/mocha-1.0
+ )"
+
+all_ruby_prepare() {
+ # Avoid unneeded dependency on git.
+ # Loosen coderay dependency.
+ sed -e '/git ls-files/d' \
+ -e '/coderay/s/~>/>=/' \
+ -e '/bundler/d' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+ sed -e '/[Bb]undler/d' -e "1irequire 'mocha/api'\ " -i spec/helper.rb || die
+ # Out of date tests
+ rm spec/commands/gist_spec.rb || die
+}